# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2018-09-27 09:47
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('project', '0002_featuretimecostestimation_feature'),
    ]

    operations = [
        migrations.CreateModel(
            name='CompanyDomain',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('company', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='company', to='project.CompanyDetail')),
                ('domain', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='company_domain', to='project.Domain')),
            ],
            options={
                'verbose_name': 'CompanyDomain',
                'verbose_name_plural': 'CompanyDomains',
            },
        ),
        migrations.CreateModel(
            name='CompanyFramework',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('company', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='company_frame', to='project.CompanyDetail')),
                ('framework', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='company_framework', to='project.Framework')),
            ],
            options={
                'verbose_name': 'CompanyFramework',
                'verbose_name_plural': 'CompanyFramework',
            },
        ),
        migrations.CreateModel(
            name='CompanyTechnology',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('company', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='company_tech', to='project.CompanyDetail')),
                ('technology', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='company_technology', to='project.Technology')),
            ],
            options={
                'verbose_name': 'CompanyTechnology',
                'verbose_name_plural': 'CompanyTechnologies',
            },
        ),
    ]
